Path::IsDev::Heuristic::Changelog(3)

NAME
Path::IsDev::Heuristic::Changelog - Determine if a path contains a Changelog (or similar)

VERSION
version 1.001003

DESCRIPTION
This heuristic matches any case variation of "Changes" or "Changelog", including any files of that name with a suffix.

e.g.:

    Changes
    CHANGES
    Changes.mkdn

etc.

METHODS

  "basename_regexp"
Indicators for this heuristic is the existence of a file such as:

    Changes             (i)
    Changes.anyext      (i)
    Changelog           (i)
    Changelog.anyext    (i)

  "matches"
Returns a match if any child of "path" exists matching the regexp "basename_regexp"

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.